summaryrefslogtreecommitdiffstats
path: root/desktop/synergy
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-05-13 00:57:41 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:41 +0200
commitb02a4e9ffbd8007b348f6359406445549bf2f8e8 (patch)
tree5a6df3e552e47179f6034e99a6d351e53f279cf1 /desktop/synergy
parent6020a32ebd6578943c2d2683a122b51625a3378a (diff)
downloadslackbuilds-b02a4e9ffbd8007b348f6359406445549bf2f8e8.tar.gz
slackbuilds-b02a4e9ffbd8007b348f6359406445549bf2f8e8.tar.xz
desktop/synergy: Added to 13.0 repository
Diffstat (limited to 'desktop/synergy')
-rw-r--r--desktop/synergy/README10
-rw-r--r--desktop/synergy/slack-desc19
-rw-r--r--desktop/synergy/synergy-arch-includes.diff133
-rw-r--r--desktop/synergy/synergy.SlackBuild76
-rw-r--r--desktop/synergy/synergy.info10
5 files changed, 248 insertions, 0 deletions
diff --git a/desktop/synergy/README b/desktop/synergy/README
new file mode 100644
index 0000000000..867d357add
--- /dev/null
+++ b/desktop/synergy/README
@@ -0,0 +1,10 @@
+synergy (multi-system sharing of keyboard and mouse)
+
+Synergy lets you easily share a single mouse and keyboard between
+multiple computers with different operating systems, each with its
+own display, without special hardware. It's intended for users with
+multiple computers on their desk since each system uses its own
+monitor(s).
+
+Synergy is open source and released under the GNU Public License (GPL).
+There is an example conf file in the docs directory
diff --git a/desktop/synergy/slack-desc b/desktop/synergy/slack-desc
new file mode 100644
index 0000000000..154980e882
--- /dev/null
+++ b/desktop/synergy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+synergy: synergy (multi-system sharing of keyboard and mouse)
+synergy:
+synergy: Synergy lets you easily share a single mouse and keyboard between
+synergy: multiple computers with different operating systems, each with its
+synergy: own display, without special hardware. It's intended for users with
+synergy: multiple computers on their desk since each system uses its own
+synergy: monitor(s).
+synergy:
+synergy: Homepage: http://synergy2.sourceforge.net/
+synergy:
+synergy:
diff --git a/desktop/synergy/synergy-arch-includes.diff b/desktop/synergy/synergy-arch-includes.diff
new file mode 100644
index 0000000000..8276386433
--- /dev/null
+++ b/desktop/synergy/synergy-arch-includes.diff
@@ -0,0 +1,133 @@
+diff -ur synergy-1.3.1/lib/arch/CArchDaemonUnix.cpp synergy-1.3.1-new/lib/arch/CArchDaemonUnix.cpp
+--- synergy-1.3.1/lib/arch/CArchDaemonUnix.cpp 2005-04-23 22:02:12.000000000 -0500
++++ synergy-1.3.1-new/lib/arch/CArchDaemonUnix.cpp 2009-08-24 14:09:57.627706592 -0500
+@@ -19,6 +19,7 @@
+ #include <sys/stat.h>
+ #include <fcntl.h>
+ #include <errno.h>
++#include <stdlib.h>
+
+ //
+ // CArchDaemonUnix
+diff -ur synergy-1.3.1/lib/arch/CMultibyte.cpp synergy-1.3.1-new/lib/arch/CMultibyte.cpp
+--- synergy-1.3.1/lib/arch/CMultibyte.cpp 2005-11-29 22:33:24.000000000 -0600
++++ synergy-1.3.1-new/lib/arch/CMultibyte.cpp 2009-08-24 13:57:23.713710783 -0500
+@@ -15,6 +15,7 @@
+ #ifndef CMULTIBYTE_H
+ #define CMULTIBYTE_H
+
++#include <stdlib.h>
+ #include "common.h"
+ #include "CArch.h"
+ #include <limits.h>
+diff -ur synergy-1.3.1/lib/base/CStringUtil.cpp synergy-1.3.1-new/lib/base/CStringUtil.cpp
+--- synergy-1.3.1/lib/base/CStringUtil.cpp 2005-12-14 11:25:20.000000000 -0600
++++ synergy-1.3.1-new/lib/base/CStringUtil.cpp 2009-08-24 13:58:00.681805838 -0500
+@@ -19,6 +19,7 @@
+ #include <cctype>
+ #include <cstdio>
+ #include <cstdlib>
++#include <string.h>
+ #include <algorithm>
+
+ //
+diff -ur synergy-1.3.1/lib/client/CClient.cpp synergy-1.3.1-new/lib/client/CClient.cpp
+--- synergy-1.3.1/lib/client/CClient.cpp 2006-03-08 22:07:17.000000000 -0600
++++ synergy-1.3.1-new/lib/client/CClient.cpp 2009-08-24 14:02:33.299732643 -0500
+@@ -26,6 +26,8 @@
+ #include "CLog.h"
+ #include "IEventQueue.h"
+ #include "TMethodEventJob.h"
++#include <stdlib.h>
++#include <string.h>
+
+ //
+ // CClient
+diff -ur synergy-1.3.1/lib/client/CServerProxy.cpp synergy-1.3.1-new/lib/client/CServerProxy.cpp
+--- synergy-1.3.1/lib/client/CServerProxy.cpp 2006-04-01 19:47:03.000000000 -0600
++++ synergy-1.3.1-new/lib/client/CServerProxy.cpp 2009-08-24 14:03:03.516706453 -0500
+@@ -24,6 +24,7 @@
+ #include "TMethodEventJob.h"
+ #include "XBase.h"
+ #include <memory>
++#include <string.h>
+
+ //
+ // CServerProxy
+diff -ur synergy-1.3.1/lib/net/CTCPSocket.cpp synergy-1.3.1-new/lib/net/CTCPSocket.cpp
+--- synergy-1.3.1/lib/net/CTCPSocket.cpp 2006-04-01 19:47:03.000000000 -0600
++++ synergy-1.3.1-new/lib/net/CTCPSocket.cpp 2009-08-24 13:58:32.584710294 -0500
+@@ -24,6 +24,7 @@
+ #include "CArch.h"
+ #include "XArch.h"
+ #include <string.h>
++#include <stdlib.h>
+
+ //
+ // CTCPSocket
+diff -ur synergy-1.3.1/lib/platform/CXWindowsScreen.cpp synergy-1.3.1-new/lib/platform/CXWindowsScreen.cpp
+--- synergy-1.3.1/lib/platform/CXWindowsScreen.cpp 2006-04-02 14:16:39.000000000 -0500
++++ synergy-1.3.1-new/lib/platform/CXWindowsScreen.cpp 2009-08-24 14:02:02.271706872 -0500
+@@ -12,6 +12,7 @@
+ * GNU General Public License for more details.
+ */
+
++#include <stdlib.h>
+ #include "CXWindowsScreen.h"
+ #include "CXWindowsClipboard.h"
+ #include "CXWindowsEventQueueBuffer.h"
+diff -ur synergy-1.3.1/lib/server/CClientProxy1_3.cpp synergy-1.3.1-new/lib/server/CClientProxy1_3.cpp
+--- synergy-1.3.1/lib/server/CClientProxy1_3.cpp 2006-02-12 13:53:43.000000000 -0600
++++ synergy-1.3.1-new/lib/server/CClientProxy1_3.cpp 2009-08-24 14:07:06.188709875 -0500
+@@ -17,6 +17,7 @@
+ #include "CLog.h"
+ #include "IEventQueue.h"
+ #include "TMethodEventJob.h"
++#include <string.h>
+
+ //
+ // CClientProxy1_3
+diff -ur synergy-1.3.1/lib/server/CServer.cpp synergy-1.3.1-new/lib/server/CServer.cpp
+--- synergy-1.3.1/lib/server/CServer.cpp 2006-04-01 19:47:04.000000000 -0600
++++ synergy-1.3.1-new/lib/server/CServer.cpp 2009-08-24 14:07:45.934730199 -0500
+@@ -29,6 +29,7 @@
+ #include "TMethodEventJob.h"
+ #include "CArch.h"
+ #include <string.h>
++#include <stdlib.h>
+
+ //
+ // CServer
+diff -ur synergy-1.3.1/lib/synergy/CPacketStreamFilter.cpp synergy-1.3.1-new/lib/synergy/CPacketStreamFilter.cpp
+--- synergy-1.3.1/lib/synergy/CPacketStreamFilter.cpp 2005-04-23 22:02:16.000000000 -0500
++++ synergy-1.3.1-new/lib/synergy/CPacketStreamFilter.cpp 2009-08-24 13:59:18.251730269 -0500
+@@ -16,6 +16,7 @@
+ #include "IEventQueue.h"
+ #include "CLock.h"
+ #include "TMethodEventJob.h"
++#include <string.h>
+
+ //
+ // CPacketStreamFilter
+diff -ur synergy-1.3.1/lib/synergy/IKeyState.cpp synergy-1.3.1-new/lib/synergy/IKeyState.cpp
+--- synergy-1.3.1/lib/synergy/IKeyState.cpp 2006-03-21 23:40:27.000000000 -0600
++++ synergy-1.3.1-new/lib/synergy/IKeyState.cpp 2009-08-24 13:59:55.329705754 -0500
+@@ -14,6 +14,7 @@
+
+ #include "IKeyState.h"
+ #include <string.h>
++#include <stdlib.h>
+
+ //
+ // IKeyState
+diff -ur synergy-1.3.1/lib/synergy/IPrimaryScreen.cpp synergy-1.3.1-new/lib/synergy/IPrimaryScreen.cpp
+--- synergy-1.3.1/lib/synergy/IPrimaryScreen.cpp 2006-03-21 23:40:27.000000000 -0600
++++ synergy-1.3.1-new/lib/synergy/IPrimaryScreen.cpp 2009-08-24 14:01:14.935708548 -0500
+@@ -13,6 +13,7 @@
+ */
+
+ #include "IPrimaryScreen.h"
++#include <stdlib.h>
+
+ //
+ // IPrimaryScreen
diff --git a/desktop/synergy/synergy.SlackBuild b/desktop/synergy/synergy.SlackBuild
new file mode 100644
index 0000000000..d081079f36
--- /dev/null
+++ b/desktop/synergy/synergy.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for synergy
+
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+PRGNAM=synergy
+VERSION=${VERSION:-1.3.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/synergy-arch-includes.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README doc examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/synergy/synergy.info b/desktop/synergy/synergy.info
new file mode 100644
index 0000000000..38210a171e
--- /dev/null
+++ b/desktop/synergy/synergy.info
@@ -0,0 +1,10 @@
+PRGNAM="synergy"
+VERSION="1.3.1"
+HOMEPAGE="http://synergy2.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/synergy2/Sources/1.3.1/synergy-1.3.1.tar.gz"
+MD5SUM="a6e09d6b71cb217f23069980060abf27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"